# $Revision: 1.22 $, $Date: 2002/10/05 21:22:20 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Set
%define	pnam	IntRange
Summary:	Set::IntRange - Sets of Integers Easy manipulation of sets of integers
Summary(pl):	Modu Set::IntRange - uatwiajcy operacje na zbiorach liczb cakowitych
Name:		perl-Set-IntRange
Version:	5.1
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Bit-Vector >= 5.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class lets you dynamically create sets of arbitrary intervals of
integers and perform all the basic operations for sets on them.

%description -l pl
Ta klasa pozwala dynamicznie tworzy zbiory dowolnych przedziaw
liczb cakowitych i przeprowadza na nich wszystkie podstawowe
operacje dla zbiorw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%{perl_sitelib}/Set/IntRange.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Set-IntRange.spec,v $
Revision 1.22  2002/10/05 21:22:20  ankry
- updated to 5.1
- added tests
- fixed %%doc, BR; cleaning

Revision 1.21  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.20  2002/08/11 19:36:49  radek
- release up

Revision 1.19  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.18  2002/07/10 08:48:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:05  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:19:53  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:33:54  depesz
adapterized

Revision 1.12  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:15:13  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 16:50:13  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:57  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
